<template>
    <section class="section">
        <div class="card" id="test-card">
            <div class="card-content">
                <p>yaaaaaaaaaaa</p>
                <button class="button" @click="testfunc">Click me</button>
                <button class="button" @click="testfunc2">Or me</button>
            </div>
        </div>
        <progress class="progress is-medium is-primary" max="100" />
        <UtilMiniRegister />
    </section>
</template>

<script setup>
onMounted(() => {
  scrollTo({top: 0})
  useMobMenu().value = false
})

import html2canvas from "html2canvas"
const testfunc = () => {
    const router = useRouter()
    router.push("/storm/card?word=%E4%BA%8C%E8%A6%81%E7%B4%A0%E8%AA%8D%E8%A8%BC&ori=&src=ja&tgt=ja&comment=%E4%BA%8C%E6%AE%B5%E9%9A%8E%E3%81%A8%E3%81%AF%E5%BE%AE%E5%A6%99%E3%81%AB%E7%95%B0%E3%81%AA%E3%82%8A%E3%81%BE%E3%81%99&author=IT%E7%BF%BB%E8%A8%B3")
}

const testfunc2 = () => {
    html2canvas(document.getElementById("test-card")).then((canvas) => {
        const link = document.createElement('a')
        link.href = canvas.toDataURL()
        link.download = `export_image.png`
        link.click()
      })
}
</script>